qpid::InlineAllocator Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qpid::InlineAllocator Class Reference

An allocator that has inline storage for up to Max objects of type BaseAllocator::value_type. More...

`#include <qpid/InlineAllocator.h>`

List of all members.

## Classes
struct | rebind
union | Store
## Public Types
typedef BaseAllocator::pointer | pointer
typedef BaseAllocator::size_type | size_type
typedef BaseAllocator::value_type | value_type
## Public Member Functions
| InlineAllocator ()
| InlineAllocator (const InlineAllocator &x)
pointer | allocate (size_type n)
void | deallocate (pointer p, size_type n)

## Detailed Description

An allocator that has inline storage for up to Max objects of type BaseAllocator::value_type.

## Member Typedef Documentation

typedef BaseAllocator::pointer qpid::InlineAllocator::pointer

Definition at line 43 of file InlineAllocator.h.

typedef BaseAllocator::size_type qpid::InlineAllocator::size_type

Definition at line 44 of file InlineAllocator.h.

typedef BaseAllocator::value_type qpid::InlineAllocator::value_type

Definition at line 45 of file InlineAllocator.h.

## Constructor & Destructor Documentation

qpid::InlineAllocator::InlineAllocator | ( |  | ) | `[inline]`

Definition at line 47 of file InlineAllocator.h.

qpid::InlineAllocator::InlineAllocator | ( | const InlineAllocator & | x | ) | `[inline]`

Definition at line 48 of file InlineAllocator.h.

## Member Function Documentation

pointer qpid::InlineAllocator::allocate | ( | size_type | n | ) | `[inline]`

Definition at line 50 of file InlineAllocator.h.

void qpid::InlineAllocator::deallocate | ( | pointer | p,
|  | size_type | n
| ) |  | `[inline]`

Definition at line 59 of file InlineAllocator.h.

The documentation for this class was generated from the following file:

- qpid/InlineAllocator.h